Bug 60122 - modprobe de4x5 causes crash
modprobe de4x5 causes crash
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-02-20 11:55 EST by Bernhard Rosenkraenzer
Modified: 2013-07-02 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-10 10:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2002-02-20 11:55:12 EST
Description of Problem:
When used with a tulip based PCMCIA card, loading the de4x5 module causes a 

Version-Release number of selected component (if applicable):
2.4.17-0.18, also reproducable with stock 7.2 kernel

How Reproducible:

Steps to Reproduce:
1. Insert a tulip based PCMCIA card
2. rmmod tulip
3. insmod de4x5

Actual Results:
eth0: DC21143 at 0x4800 (PCI bus 6, device 0), h/w address 00:80:00:80:00:80,
eth0: Using generic MII device control. If the board doesn't operate,
please mail the following dump to the author:

MII device address: 0
MII CR:  3000
MII SR:  7809
MII ID0: 40
MII ID1: 6212
MII ANA: 1e1
MII 16:  1000
MII 17:  1
MII 18:  0

      and requires IRQ10 (provided by PCI BIOS).
de4x5.c:V0.546 2001/02/22 davies@maniac.ultranet.com
Unable to handle kernel paging request at virtual address 40025660
 printing eip:
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[zisofs_cleanup+1073894896/-1072693360]    Not tainted
EIP:    0010:[<40025660>]    Not tainted
EFLAGS: 00010286
EIP is at Using_Versions [] 0x4002565f
eax: 000000ff   ebx: c7cf0000   ecx: 000000fe   edx: c7cf05cb
esi: c7cf05c7   edi: c7cf0000   ebp: c47d3200   esp: c4817e20
ds: 0018   es: 0018   ss: 0018
Process dhcpcd (pid: 1386, stackpage=c4817000)
Stack: c88809f1 c47d3200 000000fe c7cf05cb c7cf0000 c7cf05c3 c7cf0000 c47d3200
       c88809d3 c47d3200 000000ff c7cf05c7 c7cf0000 c47d3200 c47d3200 000000fa
       c8880925 c47d3200 00000000 c7cf05c3 0087aa8d c7cf0000 c47d3200 ffffffff
Call Trace: [usbcore:usb_devfs_handle_Re9c5f87f+172701/209161695] de4x5_probe 
[de4x5] 0x6991
Call Trace: [<c88809f1>] de4x5_probe [de4x5] 0x6991
[usbcore:usb_devfs_handle_Re9c5f87f+172671/209161725] de4x5_probe [de4x5] 
[<c88809d3>] de4x5_probe [de4x5] 0x6973
[usbcore:usb_devfs_handle_Re9c5f87f+172497/209161899] de4x5_probe [de4x5] 
[<c8880925>] de4x5_probe [de4x5] 0x68c5
[usbcore:usb_devfs_handle_Re9c5f87f+163482/209170914] de4x5_probe [de4x5] 
[<c887e5ee>] de4x5_probe [de4x5] 0x458e
[usbcore:usb_devfs_handle_Re9c5f87f+154304/209180092] de4x5_probe [de4x5] 
[<c887c214>] de4x5_probe [de4x5] 0x21b4
[usbcore:usb_devfs_handle_Re9c5f87f+147859/209186537] de4x5_probe [de4x5] 0x887
[<c887a8e7>] de4x5_probe [de4x5] 0x887
[usbcore:usb_devfs_handle_Re9c5f87f+147311/209187085] de4x5_probe [de4x5] 0x663
[<c887a6c3>] de4x5_probe [de4x5] 0x663
[dev_open+66/160] dev_open [kernel] 0x42
[<c01cc622>] dev_open [kernel] 0x42
[dev_change_flags+79/272] dev_change_flags [kernel] 0x4f
[<c01cd73f>] dev_change_flags [kernel] 0x4f
[devinet_ioctl+820/1616] devinet_ioctl [kernel] 0x334
[<c01fdef4>] devinet_ioctl [kernel] 0x334
[sock_setsockopt+55/1552] sock_setsockopt [kernel] 0x37
[<c01c7247>] sock_setsockopt [kernel] 0x37
[packet_ioctl+865/944] packet_ioctl [kernel] 0x361
[<c020cee1>] packet_ioctl [kernel] 0x361
[sock_ioctl+30/48] sock_ioctl [kernel] 0x1e
[<c01c5d3e>] sock_ioctl [kernel] 0x1e
[sys_ioctl+535/560] sys_ioctl [kernel] 0x217
[<c0143ac7>] sys_ioctl [kernel] 0x217
[system_call+51/56] system_call [kernel] 0x33
[<c0106ef3>] system_call [kernel] 0x33

Code:  Bad EIP value.

Expected Results:

Additional Information:
Comment 1 Jay Turner 2002-03-20 10:00:44 EST
Bero, you still seeing this with the latest trees?
Comment 2 Bernhard Rosenkraenzer 2002-03-20 10:14:33 EST
Can't tell - I don't have the hardware to try.
It happened on a Siemens test box that has been returned since.
Comment 3 Jeff Garzik 2002-10-25 14:23:48 EDT
Use tulip driver.

Note You need to log in before you can comment on or make changes to this bug.